## pg-partman 5.0.1

=== Makefile ===
EXTENSION = pg_partman
EXTVERSION = $(shell grep default_version $(EXTENSION).control | \
               sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")

PG_CONFIG ?= pg_config
PG_VER = $(shell $(PG_CONFIG) --version | sed "s/^[^ ]* \([0-9]*\).*$$/\1/" 2>/dev/null)

PG_VER_min = 14

ifeq ($(shell expr "$(PG_VER_min)" \<=  "$(PG_VER)"), 0)
$(error Minimum version of PostgreSQL required is $(PG_VER_min) (but have $(PG_VER)))
endif

DOCS = $(wildcard doc/*.md)
MODULES = src/pg_partman_bgw

# If user does not want the background worker, run: make NO_BGW=1
ifneq ($(NO_BGW),)
	MODULES=
endif

.PHONY: all
all: sql/$(EXTENSION)--$(EXTVERSION).sql

SCRIPTS = bin/common/*.py

sql/$(EXTENSION)--$(EXTVERSION).sql: $(wildcard sql/types/*.sql sql/tables/*.sql sql/functions/*.sql sql/procedures/*.sql)
	cat $^ > $@

DATA = $(wildcard updates/*--*.sql) sql/$(EXTENSION)--$(EXTVERSION).sql
EXTRA_CLEAN = sql/$(EXTENSION)--$(EXTVERSION).sql

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
pg-partman (5.0.1-1) unstable; urgency=medium

  * New upstream version 5.0.1.

 -- Christoph Berg <myon@debian.org>  Tue, 16 Jan 2024 16:03:36 +0100

pg-partman (5.0.0-2) unstable; urgency=medium

  * Run tests at build-time (needs postgresql-common 256).

 -- Christoph Berg <myon@debian.org>  Tue, 07 Nov 2023 18:18:19 +0100

pg-partman (5.0.0-1) unstable; urgency=medium

  * New upstream version 5.0.0.
  * debian/pgversions: Restrict to 14+.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Oct 2023 20:27:31 +0200

=== debian/control ===
Source: pg-partman
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends:
 debhelper-compat (= 13),
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-16-pgtap,
 postgresql-all (>= 256~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/pg-partman
Vcs-Git: https://salsa.debian.org/postgresql/pg-partman.git
Homepage: https://github.com/pgpartman/pg_partman

Package: postgresql-16-partman
Architecture: any
Depends:
 ${postgresql:Depends},
 python3,
 python3-psycopg2,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Partition Manager
 pg_partman is a PostgreSQL extension to create and manage both time-based and
 serial-based table partition sets. Sub-partitioning is also supported. Child
 table & trigger function creation is all managed by the extension itself.
 Tables with existing data can also have their data partitioned in easily
 managed smaller batches. Optional retention policy can automatically drop
 partitions no longer needed. A background worker (BGW) process is included to
 automatically run partition maintenance without the need of an external
 scheduler (cron, etc) in most cases.

=== debian/tests/control ===
Depends:
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-16-pgtap,
 postgresql-common (>= 219~),
 @,
Tests: prove
Restrictions: allow-stderr

Depends:
 @,
Tests: scripts
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/pgpartman/pg_partman/tags .*/v?(.*).tar.gz
#http://pgxn.org/dist/pg_partman/ .*/pg_partman-(.*).zip

## pg-partman 5.1.0

=== debian/changelog ===
pg-partman (5.1.0-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 17 Apr 2024 23:27:27 +0200

pg-partman (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0.

 -- Christoph Berg <myon@debian.org>  Wed, 17 Apr 2024 23:27:27 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,49 @@
 Build-Depends:
  debhelper-compat (= 13),
  libtap-parser-sourcehandler-pgtap-perl,
- postgresql-16-pgtap,
+ postgresql-14-pgtap, postgresql-15-pgtap, postgresql-16-pgtap,
  postgresql-all (>= 256~),
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-partman
 Vcs-Git: https://salsa.debian.org/postgresql/pg-partman.git
 Homepage: https://github.com/pgpartman/pg_partman
+
+Package: postgresql-14-partman
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ python3,
+ python3-psycopg2,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.
+
+Package: postgresql-15-partman
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ python3,
+ python3-psycopg2,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.
 
 Package: postgresql-16-partman
 Architecture: any

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Depends:
  libtap-parser-sourcehandler-pgtap-perl,
- postgresql-16-pgtap,
+ postgresql-14-pgtap, postgresql-15-pgtap, postgresql-16-pgtap,
  postgresql-common (>= 219~),
  @,
 Tests: prove

## pg-partman 5.2.4

=== debian/changelog ===
pg-partman (5.2.4-1) unstable; urgency=medium

  * New upstream version 5.2.4.

 -- Christoph Berg <myon@debian.org>  Tue, 07 Jan 2025 17:41:07 +0100

pg-partman (5.2.2-1) unstable; urgency=medium

  * New upstream version 5.2.2.

 -- Christoph Berg <myon@debian.org>  Wed, 11 Dec 2024 18:41:03 +0100

pg-partman (5.2.1-1) unstable; urgency=medium

  * New upstream version 5.2.1.

 -- Christoph Berg <myon@debian.org>  Tue, 03 Dec 2024 13:01:19 +0100

pg-partman (5.2.0-1) unstable; urgency=medium

  * New upstream version 5.2.0.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Nov 2024 12:33:53 +0100

pg-partman (5.1.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 17. (Closes: #1081581)
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Sep 2024 14:18:51 +0200

=== debian/control ===
Source: pg-partman
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-17-pgtap,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/pg-partman
Vcs-Git: https://salsa.debian.org/postgresql/pg-partman.git
Homepage: https://github.com/pgpartman/pg_partman

Package: postgresql-17-partman
Architecture: any
Depends:
 python3,
 python3-psycopg2,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Partition Manager
 pg_partman is a PostgreSQL extension to create and manage both time-based and
 serial-based table partition sets. Sub-partitioning is also supported. Child
 table & trigger function creation is all managed by the extension itself.
 Tables with existing data can also have their data partitioned in easily
 managed smaller batches. Optional retention policy can automatically drop
 partitions no longer needed. A background worker (BGW) process is included to
 automatically run partition maintenance without the need of an external
 scheduler (cron, etc) in most cases.

=== debian/tests/control ===
Depends:
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-17-pgtap,
 postgresql-common (>= 219~),
 @,
Tests: prove
Restrictions: allow-stderr

Depends:
 @,
Tests: scripts
Restrictions: allow-stderr

## pg-partman 5.3.0~rc1

=== debian/changelog ===
pg-partman (5.3.0~rc1-1) unstable; urgency=medium

  * New upstream version 5.3.0~rc1.
  * Upload for PostgreSQL 18. (Closes: #1117279)
  * Add ${postgresql:Breaks}.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Oct 2025 12:23:27 +0200

## pg-partman 5.3.0

=== debian/changelog ===
pg-partman (5.3.0-1.pgdg13+1) trixie-pgdg; urgency=medium

  * Rebuild for trixie-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 10 Oct 2025 09:48:25 +0200

pg-partman (5.3.0-1) unstable; urgency=medium

  * New upstream version 5.3.0.

 -- Christoph Berg <myon@debian.org>  Fri, 10 Oct 2025 09:48:25 +0200

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,76 @@
  Christoph Berg <myon@debian.org>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Build-Depends:
+ debhelper-compat (= 13),
  architecture-is-64-bit <!pkg.postgresql.32-bit>,
- debhelper-compat (= 13),
  libtap-parser-sourcehandler-pgtap-perl,
- postgresql-17-pgtap,
+ postgresql-14-pgtap, postgresql-15-pgtap, postgresql-16-pgtap, postgresql-17-pgtap, postgresql-18-pgtap,
  postgresql-all <!nocheck>,
  postgresql-server-dev-all,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-partman
 Vcs-Git: https://salsa.debian.org/postgresql/pg-partman.git
 Homepage: https://github.com/pgpartman/pg_partman
+
+Package: postgresql-14-partman
+Architecture: any
+Depends:
+ python3,
+ python3-psycopg2,
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.
+
+Package: postgresql-15-partman
+Architecture: any
+Depends:
+ python3,
+ python3-psycopg2,
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.
+
+Package: postgresql-16-partman
+Architecture: any
+Depends:
+ python3,
+ python3-psycopg2,
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.
 
 Package: postgresql-17-partman
 Architecture: any
@@ -26,6 +85,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL Partition Manager
  pg_partman is a PostgreSQL extension to create and manage both time-based and
  serial-based table partition sets. Sub-partitioning is also supported. Child
@@ -35,3 +96,23 @@
  partitions no longer needed. A background worker (BGW) process is included to
  automatically run partition maintenance without the need of an external
  scheduler (cron, etc) in most cases.
+
+Package: postgresql-18-partman
+Architecture: any
+Depends:
+ python3,
+ python3-psycopg2,
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.

## pg-partman 5.3.1

=== Makefile ===
--- 
+++ 
@@ -32,3 +32,12 @@
 
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
+
+.PHONY: lint # Lint the project
+lint: .pre-commit-config.yaml
+	@pre-commit run --show-diff-on-failure --color=always --all-files
+
+## .git/hooks/pre-commit: Install the pre-commit hook
+.git/hooks/pre-commit:
+	@printf "#!/bin/sh\nmake lint\n" > $@
+	@chmod +x $@

=== debian/changelog ===
pg-partman (5.3.1-1) unstable; urgency=medium

  * New upstream version 5.3.1.

 -- Christoph Berg <myon@debian.org>  Sat, 25 Oct 2025 21:14:22 +0300

=== debian/control ===
Source: pg-partman
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-18-pgtap,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/postgresql/pg-partman
Vcs-Git: https://salsa.debian.org/postgresql/pg-partman.git
Homepage: https://github.com/pgpartman/pg_partman

Package: postgresql-18-partman
Architecture: any
Depends:
 python3,
 python3-psycopg2,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL Partition Manager
 pg_partman is a PostgreSQL extension to create and manage both time-based and
 serial-based table partition sets. Sub-partitioning is also supported. Child
 table & trigger function creation is all managed by the extension itself.
 Tables with existing data can also have their data partitioned in easily
 managed smaller batches. Optional retention policy can automatically drop
 partitions no longer needed. A background worker (BGW) process is included to
 automatically run partition maintenance without the need of an external
 scheduler (cron, etc) in most cases.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installdocs:
	dh_installdocs --all README.md doc/*
	rm -rf debian/*/usr/share/doc/postgresql-doc-*

override_dh_pgxs_test:
	debian/tests/prove . . postgresql-%v-partman

%:
	dh $@ --with pgxs_loop

=== debian/tests/control ===
Depends:
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-18-pgtap,
 postgresql-common (>= 219~),
 @,
Tests:
 prove,
Restrictions:
 allow-stderr,

Depends:
 @,
Tests:
 scripts,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
opts=uversionmangle=s/RC/~rc/ \
https://github.com/pgpartman/pg_partman/tags .*/v?(.*).tar.gz
#http://pgxn.org/dist/pg_partman/ .*/pg_partman-(.*).zip

## pg-partman 5.4.0

=== debian/changelog ===
pg-partman (5.4.0-1) unstable; urgency=medium

  * New upstream version 5.4.0.

 -- Christoph Berg <myon@debian.org>  Sat, 10 Jan 2026 21:03:01 +0100

pg-partman (5.3.1-2) unstable; urgency=medium

  * Test-Depend on postgresql-common-dev.
  * Mark Build-Dependency on pgtap as !nocheck.

 -- Christoph Berg <myon@debian.org>  Wed, 12 Nov 2025 12:56:27 +0100

## pg-partman 5.4.1

=== debian/changelog ===
pg-partman (5.4.1-1) unstable; urgency=medium

  * New upstream version 5.4.1.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Feb 2026 11:55:50 +0100

## pg-partman 5.4.2

=== debian/changelog ===
pg-partman (5.4.2-1) unstable; urgency=medium

  * New upstream version 5.4.2.

 -- Christoph Berg <myon@debian.org>  Sat, 21 Feb 2026 08:43:43 +0100
